Last Comment Bug 371214 - Need to be able to unflag an sr-flagged add-on
: Need to be able to unflag an sr-flagged add-on
Status: RESOLVED FIXED
:
Product: addons.mozilla.org Graveyard
Classification: Graveyard
Component: Admin/Editor Tools (show other bugs)
: 3.0
: All All
: -- minor
: 3.2
Assigned To: Justin Scott [:fligtar]
:
Mentors:
: 401028 (view as bug list)
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-02-21 18:57 PST by Justin Scott [:fligtar]
Modified: 2016-02-04 14:47 PST (History)
2 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
patch, v1 (2.62 KB, patch)
2008-01-22 14:08 PST, Justin Scott [:fligtar]
bugmail: review+
Details | Diff | Splinter Review

Description Justin Scott [:fligtar] 2007-02-21 18:57:58 PST
The Super-review queue (for add-ons flagged by users as needing admin review, for add-ons flagged for security review automatically, for reviewer requested reviews) should be made.
Comment 1 Justin Scott [:fligtar] 2007-04-22 04:34:27 PDT
The actual queue was made a few weeks ago, but I'm not resolving yet because there's currently no way to unflag an add-on.
Comment 2 Justin Scott [:fligtar] 2007-10-24 16:22:21 PDT
*** Bug 401028 has been marked as a duplicate of this bug. ***
Comment 3 Justin Scott [:fligtar] 2008-01-22 14:08:07 PST
Created attachment 298538 [details] [diff] [review]
patch, v1

Adds a simple interface for unflagging flagged add-ons.

Ideally this would be really advanced and allow the admin/senior editor to select whether the item should be pushed public, retained in the sandbox, or sent back to the editor queue with comments, and send an email to the developer, but I think that's stuff for the dev cp revamp along with any changes we may make to the current sandbox system.
Comment 4 Justin Scott [:fligtar] 2008-02-04 23:53:13 PST
Comment on attachment 298538 [details] [diff] [review]
patch, v1

Fred wins the review request!
Comment 5 Fred Wenzel [:wenzel] 2008-02-05 02:31:51 PST
Comment on attachment 298538 [details] [diff] [review]
patch, v1

This wfm.

What you may want to do is find out though why after disabling add-ons the sidebar still shows the flagged add-on count from before; maybe the count is determined and publish()ed before the disabling action is performed. But that's just a detail.
Comment 6 Justin Scott [:fligtar] 2008-02-05 12:58:56 PST
r9984
Comment 7 Justin Scott [:fligtar] 2008-02-14 16:34:45 PST
This is live.

Note You need to log in before you can comment on or make changes to this bug.